PDA

View Full Version : API Documentation doesn't load with latest FireBug version.



WixSL
10 Nov 2011, 5:40 PM
I've send an e-mail to the FireBug mailing list reporting the following bug, but I thought it could be relevant letting you know about it since it involves a performance problem, and may help you in some way.

------------------------- MAIL TEXT START -------------------------

- Setting up the bug reproduction enviroment:
· Using FireBug 1.9.0-a5 on FireFox 8.0 (Windows XP + SP3).
· "Console" tab Enabled.
IMPORTANT: Only "Strict Warnings (performance penalty)" config is set for this tab.
· "Script" tab Disabled.
· "Net" tab Disabled.
· All other FireBug options set by default.
· All other FireFox 8.0 plugins / extensions disabled.

- Reproducing the bug:
1.- Go to this site: http://docs.sencha.com/ext-js/4-0/

RESULT: The page never loads.
NOTE: It loads with FireBug disabled or at lest with "Strict Warnings (performance penalty)" config unset.

------------------------- MAIL TEXT END -------------------------

What I didn't say in the mail is that actually you get continus unresponsive warning popups, the first one is related to a FireBug script and the followings popups are related to an ExtJS script.

See Image Below:

29221

mitchellsimoens
11 Nov 2011, 6:56 PM
Kind of reluctant to say it's an issue with us as it has worked in other firebug versions... that being said, thank you and we will look into it to see if it is something we can improve on our side.

stever
21 Nov 2011, 5:58 PM
Don't use javascript.options.strict set to true. ExtJS has far too many non-conforming things going on in order to support multiple browsers. Setting it to true will log warnings for everything -- every browser tab, and every extension, and firefox internals itself. If you want just JS warnings try using "use strict" instead.

mankz
22 Nov 2011, 5:40 AM
I have another weird issue. If there's an active breakpoint in a FF tab, loading the Ext Docs will freeze FF... Anyone seen this?